fun String.toFrequencyMap(): Map<Char, Int> = this.groupingBy{it.toLowerCase()}.eachCount()

object Isogram {
    fun isIsogram(inpString: String): Boolean{
        val frequencyMap: Map<Char, Int> = inpString.toFrequencyMap()
        return frequencyMap.filter { it.key.isLetter() }.values.none { it > 1 }
    }
}